Index: doc/latex/libBM_8h.tex
===================================================================
--- doc/latex/libBM_8h.tex (revision 19)
+++ doc/latex/libBM_8h.tex (revision 22)
@@ -19,5 +19,5 @@
 \begin{center}
 \leavevmode
-\includegraphics[width=420pt]{libBM_8h__dep__incl}
+\includegraphics[width=361pt]{libBM_8h__dep__incl}
 \end{center}
 \end{figure}
@@ -28,5 +28,5 @@
 \begin{CompactList}\small\item\em Class representing variables, most often random variables. \item\end{CompactList}\item 
 class {\bf fnc}
-\begin{CompactList}\small\item\em Class representing function of variables. \item\end{CompactList}\item 
+\begin{CompactList}\small\item\em Class representing function \$f(x)\$ of variable \$x\$ represented by {\tt rv}. \item\end{CompactList}\item 
 class {\bf BM}
 \begin{CompactList}\small\item\em Bayesian Model of the world, i.e. all uncertainty is modeled by probabilities. \item\end{CompactList}\item 
Index: doc/latex/classfnc.tex
===================================================================
--- doc/latex/classfnc.tex (revision 19)
+++ doc/latex/classfnc.tex (revision 22)
@@ -1,5 +1,5 @@
 \section{fnc Class Reference}
 \label{classfnc}\index{fnc@{fnc}}
-Class representing function of variables.  
+Class representing function \$f(x)\$ of variable \$x\$ represented by {\tt rv}.  
 
 
@@ -10,18 +10,20 @@
 \begin{center}
 \leavevmode
-\includegraphics[width=48pt]{classfnc__inherit__graph}
+\includegraphics[width=109pt]{classfnc__inherit__graph}
 \end{center}
 \end{figure}
-Collaboration diagram for fnc:\nopagebreak
-\begin{figure}[H]
-\begin{center}
-\leavevmode
-\includegraphics[width=37pt]{classfnc__coll__graph}
-\end{center}
-\end{figure}
+\subsection*{Public Member Functions}
+\begin{CompactItemize}
+\item 
+virtual vec {\bf eval} (const vec \&cond)\label{classfnc_7fad2e6cb35909a165ec5a53def4a18c}
+
+\begin{CompactList}\small\item\em function evaluates numerical value of \$f(x)\$ at \$x=cond\$ \item\end{CompactList}\item 
+int {\bf \_\-dimy} () const \label{classfnc_a8891973d0ca48ce38e1886df45ca298}
+
+\begin{CompactList}\small\item\em access function \item\end{CompactList}\end{CompactItemize}
 
 
 \subsection{Detailed Description}
-Class representing function of variables. 
+Class representing function \$f(x)\$ of variable \$x\$ represented by {\tt rv}. 
 
 The documentation for this class was generated from the following file:\begin{CompactItemize}
Index: doc/latex/classepdf.tex
===================================================================
--- doc/latex/classepdf.tex (revision 19)
+++ doc/latex/classepdf.tex (revision 22)
@@ -25,7 +25,7 @@
 virtual vec {\bf sample} ()=0
 \begin{CompactList}\small\item\em Returns the required moment of the \doxyref{epdf}{p.}{classepdf}. \item\end{CompactList}\item 
-virtual double \textbf{eval} (const vec \&val)\label{classepdf_f333ceeb88ebc37d81fcd4cea4526bfc}
+virtual double {\bf eval} (const vec \&val)\label{classepdf_f333ceeb88ebc37d81fcd4cea4526bfc}
 
-\end{CompactItemize}
+\begin{CompactList}\small\item\em Compute probability of argument {\tt val}. \item\end{CompactList}\end{CompactItemize}
 
 
@@ -41,5 +41,5 @@
 Returns the required moment of the \doxyref{epdf}{p.}{classepdf}. 
 
-Returns a sample from the density, \$x  epdf(rv)\$ 
+Returns a sample from the density, $x \sim epdf(rv)$ 
 
 Implemented in {\bf enorm$<$ sq\_\-T $>$} \doxyref{}{p.}{classenorm_6020bcd89db2c9584bd8871001bd2023}.
Index: doc/latex/libEF_8h.tex
===================================================================
--- doc/latex/libEF_8h.tex (revision 19)
+++ doc/latex/libEF_8h.tex (revision 22)
@@ -23,5 +23,5 @@
 \item 
 class {\bf enorm$<$ sq\_\-T $>$}
-\begin{CompactList}\small\item\em General exponential family density. \item\end{CompactList}\item 
+\begin{CompactList}\small\item\em Gaussian density with positive definite (decomposed) covariance matrix. \item\end{CompactList}\item 
 class \textbf{mlnorm$<$ sq\_\-T $>$}
 \end{CompactItemize}
Index: doc/latex/classfsqmat.tex
===================================================================
--- doc/latex/classfsqmat.tex (revision 19)
+++ doc/latex/classfsqmat.tex (revision 22)
@@ -20,4 +20,51 @@
 \end{center}
 \end{figure}
+\subsection*{Public Member Functions}
+\begin{CompactItemize}
+\item 
+void {\bf opupdt} (const vec \&v, double w)
+\item 
+mat {\bf to\_\-mat} ()\label{classfsqmat_cedf4f048309056f4262c930914dfda8}
+
+\begin{CompactList}\small\item\em Conversion to full matrix. \item\end{CompactList}\item 
+void {\bf mult\_\-sym} (const mat \&C, bool trans=false)
+\begin{CompactList}\small\item\em Inplace symmetric multiplication by a SQUARE matrix \$C\$, i.e. \$V = C$\ast$V$\ast$C'\$. \item\end{CompactList}\item 
+void \textbf{mult\_\-sym} (const mat \&C, {\bf fsqmat} \&U, bool trans=false)\label{classfsqmat_ccf5ad8fb038f82e9d2201c0606b65fa}
+
+\item 
+void \textbf{inv} ({\bf fsqmat} \&Inv)\label{classfsqmat_9fa853e1ca28f2a1a1c43377e798ecb1}
+
+\item 
+void {\bf clear} ()\label{classfsqmat_cfa4c359483d2322f32d1d50050f8ac4}
+
+\begin{CompactList}\small\item\em Clearing matrix so that it corresponds to zeros. \item\end{CompactList}\item 
+{\bf fsqmat} (const mat \&M)\label{classfsqmat_1929fbc9fe375f1d67f979d0d302336f}
+
+\begin{CompactList}\small\item\em Constructor. \item\end{CompactList}\item 
+virtual void {\bf inv} ({\bf fsqmat} $\ast$Inv)
+\begin{CompactList}\small\item\em Matrix inversion preserving the chosen form. \item\end{CompactList}\item 
+double {\bf logdet} ()\label{classfsqmat_bf212272ec195ad2706e2bf4d8e7c9b3}
+
+\begin{CompactList}\small\item\em Logarithm of a determinant. \item\end{CompactList}\item 
+double {\bf qform} (vec \&v)\label{classfsqmat_6d047b9f7a27dfc093303a13cc9b1fba}
+
+\begin{CompactList}\small\item\em Evaluates quadratic form \$x= v'$\ast$V$\ast$v\$;. \item\end{CompactList}\item 
+vec {\bf sqrt\_\-mult} (vec \&v)
+\begin{CompactList}\small\item\em Multiplies square root of \$V\$ by vector \$x\$. \item\end{CompactList}\item 
+{\bf fsqmat} \& \textbf{operator+=} (const {\bf fsqmat} \&A)\label{classfsqmat_514d1fdd8a382dbd6a774f2cf1ebd3de}
+
+\item 
+{\bf fsqmat} \& \textbf{operator-=} (const {\bf fsqmat} \&A)\label{classfsqmat_e976bc9d899961e1d2087b0630ed33b7}
+
+\item 
+{\bf fsqmat} \& \textbf{operator $\ast$=} (double x)\label{classfsqmat_8f7ce97628a50e06641281096b2af9b7}
+
+\end{CompactItemize}
+\subsection*{Protected Attributes}
+\begin{CompactItemize}
+\item 
+mat \textbf{M}\label{classfsqmat_a7a1fcb9aae19d1e4daddfc9c22ce453}
+
+\end{CompactItemize}
 
 
@@ -27,4 +74,54 @@
 This class can be used to compare performance of algorithms using decomposed matrices with perormance of the same algorithms using full matrices; 
 
+\subsection{Member Function Documentation}
+\index{fsqmat@{fsqmat}!opupdt@{opupdt}}
+\index{opupdt@{opupdt}!fsqmat@{fsqmat}}
+\subsubsection{\setlength{\rightskip}{0pt plus 5cm}void fsqmat::opupdt (const vec \& {\em v}, double {\em w})\hspace{0.3cm}{\tt  [virtual]}}\label{classfsqmat_b36530e155667fe9f1bd58394e50c65a}
+
+
+Perfroms a rank-1 update by outer product of vectors: \$V = V + w v v'\$. \begin{Desc}
+\item[Parameters:]
+\begin{description}
+\item[{\em v}]Vector forming the outer product to be added \item[{\em w}]weight of updating; can be negative\end{description}
+\end{Desc}
+BLAS-2b operation. 
+
+Implements {\bf sqmat} \doxyref{}{p.}{classsqmat_b223484796661f2dadb5607a86ce0581}.\index{fsqmat@{fsqmat}!mult_sym@{mult\_\-sym}}
+\index{mult_sym@{mult\_\-sym}!fsqmat@{fsqmat}}
+\subsubsection{\setlength{\rightskip}{0pt plus 5cm}void fsqmat::mult\_\-sym (const mat \& {\em C}, bool {\em trans} = {\tt false})\hspace{0.3cm}{\tt  [virtual]}}\label{classfsqmat_acc5d2d0a243f1de6d0106065f01f518}
+
+
+Inplace symmetric multiplication by a SQUARE matrix \$C\$, i.e. \$V = C$\ast$V$\ast$C'\$. 
+
+\begin{Desc}
+\item[Parameters:]
+\begin{description}
+\item[{\em C}]multiplying matrix, \item[{\em trans}]if true, product \$V = C'$\ast$V$\ast$C\$ will be computed instead; \end{description}
+\end{Desc}
+
+
+Implements {\bf sqmat} \doxyref{}{p.}{classsqmat_faa3bc90be142adde9cf74f573c70157}.\index{fsqmat@{fsqmat}!inv@{inv}}
+\index{inv@{inv}!fsqmat@{fsqmat}}
+\subsubsection{\setlength{\rightskip}{0pt plus 5cm}virtual void fsqmat::inv ({\bf fsqmat} $\ast$ {\em Inv})\hspace{0.3cm}{\tt  [virtual]}}\label{classfsqmat_788423cc2679620dd6da8d2fca2e3e4d}
+
+
+Matrix inversion preserving the chosen form. 
+
+\begin{Desc}
+\item[Parameters:]
+\begin{description}
+\item[{\em Inv}]a space where the inverse is stored. \end{description}
+\end{Desc}
+\index{fsqmat@{fsqmat}!sqrt_mult@{sqrt\_\-mult}}
+\index{sqrt_mult@{sqrt\_\-mult}!fsqmat@{fsqmat}}
+\subsubsection{\setlength{\rightskip}{0pt plus 5cm}vec fsqmat::sqrt\_\-mult (vec \& {\em v})\hspace{0.3cm}{\tt  [inline, virtual]}}\label{classfsqmat_6648dd4291b809cce14e8497d0433ad3}
+
+
+Multiplies square root of \$V\$ by vector \$x\$. 
+
+Used e.g. in generating normal samples. 
+
+Implements {\bf sqmat} \doxyref{}{p.}{classsqmat_b5236c8a050199e1a9d338b0da1a08d2}.
+
 The documentation for this class was generated from the following file:\begin{CompactItemize}
 \item 
Index: doc/latex/classBM.tex
===================================================================
--- doc/latex/classBM.tex (revision 19)
+++ doc/latex/classBM.tex (revision 22)
@@ -10,5 +10,5 @@
 \begin{center}
 \leavevmode
-\includegraphics[width=142pt]{classBM__inherit__graph}
+\includegraphics[width=161pt]{classBM__inherit__graph}
 \end{center}
 \end{figure}
@@ -16,4 +16,7 @@
 \begin{CompactItemize}
 \item 
+{\bf BM} ()\label{classBM_ef32a12f4f89e4000bf5390ceda762ae}
+
+\begin{CompactList}\small\item\em Default constructor. \item\end{CompactList}\item 
 virtual void {\bf bayes} (const vec \&dt, bool evall=true)=0
 \begin{CompactList}\small\item\em Incremental Bayes rule. \item\end{CompactList}\item 
@@ -47,5 +50,5 @@
 
 
-Implemented in {\bf KalmanFull} \doxyref{}{p.}{classKalmanFull_048b13739b94c331cda08249b278552b}, {\bf Kalman$<$ sq\_\-T $>$} \doxyref{}{p.}{classKalman_e945d9205ca14acbd83ba80ea6f72b8e}, {\bf PF} \doxyref{}{p.}{classPF_eb06bd7d4325f22f54233967295793b9}, and {\bf TrivialPF} \doxyref{}{p.}{classTrivialPF_77a92bf054d763f806d27fc37a058389}.
+Implemented in {\bf KalmanFull} \doxyref{}{p.}{classKalmanFull_048b13739b94c331cda08249b278552b}, {\bf Kalman$<$ sq\_\-T $>$} \doxyref{}{p.}{classKalman_e945d9205ca14acbd83ba80ea6f72b8e}, {\bf EKF$<$ sq\_\-T $>$} \doxyref{}{p.}{classEKF_fb0a08463f14e5584344ea2df99fe747}, {\bf PF} \doxyref{}{p.}{classPF_eb06bd7d4325f22f54233967295793b9}, {\bf TrivialPF} \doxyref{}{p.}{classTrivialPF_77a92bf054d763f806d27fc37a058389}, and {\bf Kalman$<$ fsqmat $>$} \doxyref{}{p.}{classKalman_e945d9205ca14acbd83ba80ea6f72b8e}.
 
 The documentation for this class was generated from the following file:\begin{CompactItemize}
Index: doc/latex/libKF_8h.tex
===================================================================
--- doc/latex/libKF_8h.tex (revision 19)
+++ doc/latex/libKF_8h.tex (revision 22)
@@ -4,5 +4,5 @@
 
 {\tt \#include $<$itpp/itbase.h$>$}\par
-{\tt \#include \char`\"{}../stat/libBM.h\char`\"{}}\par
+{\tt \#include \char`\"{}../stat/libFN.h\char`\"{}}\par
 {\tt \#include \char`\"{}../math/libDC.h\char`\"{}}\par
 
@@ -12,5 +12,5 @@
 \begin{center}
 \leavevmode
-\includegraphics[width=135pt]{libKF_8h__incl}
+\includegraphics[width=134pt]{libKF_8h__incl}
 \end{center}
 \end{figure}
@@ -21,5 +21,7 @@
 \begin{CompactList}\small\item\em Basic \doxyref{Kalman}{p.}{classKalman} filter with full matrices (education purpose only)! Will be deleted soon! \item\end{CompactList}\item 
 class {\bf Kalman$<$ sq\_\-T $>$}
-\begin{CompactList}\small\item\em \doxyref{Kalman}{p.}{classKalman} filter with covaraince matrices in square root form. \item\end{CompactList}\end{CompactItemize}
+\begin{CompactList}\small\item\em \doxyref{Kalman}{p.}{classKalman} filter with covariance matrices in square root form. \item\end{CompactList}\item 
+class {\bf EKF$<$ sq\_\-T $>$}
+\begin{CompactList}\small\item\em Extended \doxyref{Kalman}{p.}{classKalman} Filter. \item\end{CompactList}\end{CompactItemize}
 
 
Index: doc/latex/classKalman.tex
===================================================================
--- doc/latex/classKalman.tex (revision 19)
+++ doc/latex/classKalman.tex (revision 22)
@@ -1,5 +1,5 @@
 \section{Kalman$<$ sq\_\-T $>$ Class Template Reference}
 \label{classKalman}\index{Kalman@{Kalman}}
-\doxyref{Kalman}{p.}{classKalman} filter with covaraince matrices in square root form.  
+\doxyref{Kalman}{p.}{classKalman} filter with covariance matrices in square root form.  
 
 
@@ -10,5 +10,5 @@
 \begin{center}
 \leavevmode
-\includegraphics[width=70pt]{classKalman__inherit__graph}
+\includegraphics[width=77pt]{classKalman__inherit__graph}
 \end{center}
 \end{figure}
@@ -23,4 +23,7 @@
 \begin{CompactItemize}
 \item 
+{\bf Kalman} (int dimx, int dimu, int dimy)\label{classKalman_96958a5ebfa966d892137987f265083a}
+
+\begin{CompactList}\small\item\em Default constructor. \item\end{CompactList}\item 
 {\bf Kalman} (mat A0, mat B0, mat C0, mat D0, sq\_\-T R0, sq\_\-T Q0, sq\_\-T P0, vec mu0)\label{classKalman_83118f4bd2ecbc70b03cfd573088ed6f}
 
@@ -38,4 +41,46 @@
 
 \begin{CompactList}\small\item\em Mean value of the posterior density. \item\end{CompactList}\end{CompactItemize}
+\subsection*{Protected Attributes}
+\begin{CompactItemize}
+\item 
+int \textbf{dimx}\label{classKalman_39c8c403b46fa3b8c7da77cb2e3729eb}
+
+\item 
+int \textbf{dimy}\label{classKalman_ba17b956df1e38b31fbbc299c8213b6a}
+
+\item 
+int \textbf{dimu}\label{classKalman_b0153795a1444b6968a86409c778d9ce}
+
+\item 
+mat \textbf{A}\label{classKalman_5e02efe86ee91e9c74b93b425fe060b9}
+
+\item 
+mat \textbf{B}\label{classKalman_dc87704284a6c0bca13bf51f4345a50a}
+
+\item 
+mat \textbf{C}\label{classKalman_86a805cd6515872d1132ad0d6eb5dc13}
+
+\item 
+mat \textbf{D}\label{classKalman_d69f774ba3335c970c1c5b1d182f4dd1}
+
+\item 
+sq\_\-T \textbf{R}\label{classKalman_11d171dc0e0ab111c56a70f98b97b3ec}
+
+\item 
+sq\_\-T \textbf{Q}\label{classKalman_9b69015c800eb93f3ee49da23a6f55d9}
+
+\item 
+mat \textbf{\_\-K}\label{classKalman_d422f51467c7a06174af2476d2826132}
+
+\item 
+vec \textbf{\_\-yp}\label{classKalman_30b7461989185d3d02cf42b8e2a37649}
+
+\item 
+sq\_\-T \textbf{\_\-Ry}\label{classKalman_477dca07d91ea1a1f41d51bb0229934f}
+
+\item 
+sq\_\-T \textbf{\_\-iRy}\label{classKalman_15f1a793210750a7e4642fcd948b24c5}
+
+\end{CompactItemize}
 \subsection*{Friends}
 \begin{CompactItemize}
@@ -49,5 +94,5 @@
 \subsubsection*{template$<$class sq\_\-T$>$ class Kalman$<$ sq\_\-T $>$}
 
-\doxyref{Kalman}{p.}{classKalman} filter with covaraince matrices in square root form. 
+\doxyref{Kalman}{p.}{classKalman} filter with covariance matrices in square root form. 
 
 The documentation for this class was generated from the following file:\begin{CompactItemize}
Index: doc/latex/doxygen.sty
===================================================================
--- doc/latex/doxygen.sty (revision 19)
+++ doc/latex/doxygen.sty (revision 22)
@@ -11,6 +11,6 @@
 \rhead[\fancyplain{}{\bfseries\leftmark}]
         {\fancyplain{}{\bfseries\thepage}}
-\rfoot[\fancyplain{}{\bfseries\scriptsize Generated on Fri Feb 15 18:57:36 2008 for mixpp by Doxygen }]{}
-\lfoot[]{\fancyplain{}{\bfseries\scriptsize Generated on Fri Feb 15 18:57:36 2008 for mixpp by Doxygen }}
+\rfoot[\fancyplain{}{\bfseries\scriptsize Generated on Sun Feb 17 16:14:14 2008 for mixpp by Doxygen }]{}
+\lfoot[]{\fancyplain{}{\bfseries\scriptsize Generated on Sun Feb 17 16:14:14 2008 for mixpp by Doxygen }}
 \cfoot{}
 \newenvironment{Code}
Index: doc/latex/classenorm.tex
===================================================================
--- doc/latex/classenorm.tex (revision 19)
+++ doc/latex/classenorm.tex (revision 22)
@@ -1,5 +1,5 @@
 \section{enorm$<$ sq\_\-T $>$ Class Template Reference}
 \label{classenorm}\index{enorm@{enorm}}
-General exponential family density.  
+Gaussian density with positive definite (decomposed) covariance matrix.  
 
 
@@ -26,10 +26,16 @@
 
 \item 
-void \textbf{tupdate} (double phi, mat \&vbar, double nubar)\label{classenorm_5b5fd142b6b17ea334597960e3fe126a}
+void {\bf tupdate} (double phi, mat \&vbar, double nubar)\label{classenorm_5b5fd142b6b17ea334597960e3fe126a}
 
-\item 
+\begin{CompactList}\small\item\em tupdate in exponential form (not really handy) \item\end{CompactList}\item 
 void \textbf{dupdate} (mat \&v, double nu=1.0)\label{classenorm_5bf185e31e5954fceb90ada3debd2ff2}
 
 \item 
+void {\bf tupdate} ()\label{classenorm_2a1a522504c7788dfd7fb733157ee39e}
+
+\begin{CompactList}\small\item\em tupdate used in KF \item\end{CompactList}\item 
+double {\bf dupdate} ()\label{classenorm_d1b0faf61260de09cf63bf823add5b32}
+
+\begin{CompactList}\small\item\em dupdate used in KF \item\end{CompactList}\item 
 vec {\bf sample} ()
 \begin{CompactList}\small\item\em Returns the required moment of the \doxyref{epdf}{p.}{classepdf}. \item\end{CompactList}\item 
@@ -37,7 +43,7 @@
 
 \item 
-double \textbf{eval} (const vec \&val)\label{classenorm_93107f05a8e9b34b64853767200121a4}
+double {\bf eval} (const vec \&val)\label{classenorm_93107f05a8e9b34b64853767200121a4}
 
-\end{CompactItemize}
+\begin{CompactList}\small\item\em Compute probability of argument {\tt val}. \item\end{CompactList}\end{CompactItemize}
 \subsection*{Public Attributes}
 \begin{CompactItemize}
@@ -51,5 +57,5 @@
 \subsubsection*{template$<$class sq\_\-T$>$ class enorm$<$ sq\_\-T $>$}
 
-General exponential family density. 
+Gaussian density with positive definite (decomposed) covariance matrix. 
 
 More?... 
@@ -63,5 +69,5 @@
 Returns the required moment of the \doxyref{epdf}{p.}{classepdf}. 
 
-Returns a sample from the density, \$x  epdf(rv)\$ 
+Returns a sample from the density, $x \sim epdf(rv)$ 
 
 Implements {\bf epdf} \doxyref{}{p.}{classepdf_7f74d871d50b9ff360f1b3879092a9fa}.
Index: doc/latex/refman.tex
===================================================================
--- doc/latex/refman.tex (revision 19)
+++ doc/latex/refman.tex (revision 22)
@@ -21,5 +21,5 @@
 {\large Generated by Doxygen 1.5.3}\\
 \vspace*{0.5cm}
-{\small Fri Feb 15 18:57:36 2008}\\
+{\small Sun Feb 17 16:14:14 2008}\\
 \end{center}
 \end{titlepage}
@@ -36,7 +36,11 @@
 \input{files}
 \chapter{mixpp Class Documentation}
-\input{classBM}
+\input{classbilinfn}
+\include{classBM}
+\include{classconstfn}
+\include{classdiffbifn}
 \include{classDS}
 \include{classeEF}
+\include{classEKF}
 \include{classenorm}
 \include{classepdf}
@@ -45,4 +49,5 @@
 \include{classKalman}
 \include{classKalmanFull}
+\include{classlinfn}
 \include{classMemDS}
 \include{classmpdf}
Index: doc/latex/classsqmat.tex
===================================================================
--- doc/latex/classsqmat.tex (revision 19)
+++ doc/latex/classsqmat.tex (revision 22)
@@ -34,10 +34,10 @@
 
 \begin{CompactList}\small\item\em Clearing matrix so that it corresponds to zeros. \item\end{CompactList}\item 
-virtual int {\bf cols} ()=0\label{classsqmat_743d3799d9e73403230c54e14ecf09ed}
+int {\bf cols} () const \label{classsqmat_ecc2e2540f95a04f4449842588170f5b}
 
-\begin{CompactList}\small\item\em Reimplementing common functions of mat: \doxyref{cols()}{p.}{classsqmat_743d3799d9e73403230c54e14ecf09ed}. \item\end{CompactList}\item 
-virtual int {\bf rows} ()=0\label{classsqmat_f59664a4be09450f8c6ce3f5e5ab2dc7}
+\begin{CompactList}\small\item\em Reimplementing common functions of mat: \doxyref{cols()}{p.}{classsqmat_ecc2e2540f95a04f4449842588170f5b}. \item\end{CompactList}\item 
+int {\bf rows} () const \label{classsqmat_071e80ced9cc3b8cbb360fa7462eb646}
 
-\begin{CompactList}\small\item\em Reimplementing common functions of mat: \doxyref{cols()}{p.}{classsqmat_743d3799d9e73403230c54e14ecf09ed}. \item\end{CompactList}\end{CompactItemize}
+\begin{CompactList}\small\item\em Reimplementing common functions of mat: \doxyref{cols()}{p.}{classsqmat_ecc2e2540f95a04f4449842588170f5b}. \item\end{CompactList}\end{CompactItemize}
 \subsection*{Protected Attributes}
 \begin{CompactItemize}
@@ -64,5 +64,7 @@
 \item[{\em v}]Vector forming the outer product to be added \item[{\em w}]weight of updating; can be negative\end{description}
 \end{Desc}
-BLAS-2b operation. \index{sqmat@{sqmat}!mult_sym@{mult\_\-sym}}
+BLAS-2b operation. 
+
+Implemented in {\bf fsqmat} \doxyref{}{p.}{classfsqmat_b36530e155667fe9f1bd58394e50c65a}.\index{sqmat@{sqmat}!mult_sym@{mult\_\-sym}}
 \index{mult_sym@{mult\_\-sym}!sqmat@{sqmat}}
 \subsubsection{\setlength{\rightskip}{0pt plus 5cm}virtual void sqmat::mult\_\-sym (const mat \& {\em C}, bool {\em trans} = {\tt true})\hspace{0.3cm}{\tt  [pure virtual]}}\label{classsqmat_faa3bc90be142adde9cf74f573c70157}
@@ -76,5 +78,7 @@
 \item[{\em C}]multiplying matrix, \item[{\em trans}]if true, product \$V = C'$\ast$V$\ast$C\$ will be computed instead; \end{description}
 \end{Desc}
-\index{sqmat@{sqmat}!sqrt_mult@{sqrt\_\-mult}}
+
+
+Implemented in {\bf fsqmat} \doxyref{}{p.}{classfsqmat_acc5d2d0a243f1de6d0106065f01f518}.\index{sqmat@{sqmat}!sqrt_mult@{sqrt\_\-mult}}
 \index{sqrt_mult@{sqrt\_\-mult}!sqmat@{sqmat}}
 \subsubsection{\setlength{\rightskip}{0pt plus 5cm}virtual vec sqmat::sqrt\_\-mult (vec \& {\em v})\hspace{0.3cm}{\tt  [pure virtual]}}\label{classsqmat_b5236c8a050199e1a9d338b0da1a08d2}
@@ -85,4 +89,6 @@
 Used e.g. in generating normal samples. 
 
+Implemented in {\bf fsqmat} \doxyref{}{p.}{classfsqmat_6648dd4291b809cce14e8497d0433ad3}.
+
 The documentation for this class was generated from the following file:\begin{CompactItemize}
 \item 
Index: doc/latex/annotated.tex
===================================================================
--- doc/latex/annotated.tex (revision 19)
+++ doc/latex/annotated.tex (revision 22)
@@ -1,13 +1,18 @@
 \section{mixpp Class List}
 Here are the classes, structs, unions and interfaces with brief descriptions:\begin{CompactList}
+\item\contentsline{section}{{\bf bilinfn} (Class representing function \$f(x,u) = Ax+Bu\$ )}{\pageref{classbilinfn}}{}
 \item\contentsline{section}{{\bf BM} (Bayesian Model of the world, i.e. all uncertainty is modeled by probabilities )}{\pageref{classBM}}{}
+\item\contentsline{section}{{\bf constfn} (Class representing function \$f(x) = a\$, here rv is empty )}{\pageref{classconstfn}}{}
+\item\contentsline{section}{{\bf diffbifn} (Class representing a differentiable function of two variables \$f(x,u)\$ )}{\pageref{classdiffbifn}}{}
 \item\contentsline{section}{{\bf DS} (Abstract class for discrete-time sources of data )}{\pageref{classDS}}{}
 \item\contentsline{section}{{\bf eEF} (General conjugate exponential family posterior density )}{\pageref{classeEF}}{}
-\item\contentsline{section}{{\bf enorm$<$ sq\_\-T $>$} (General exponential family density )}{\pageref{classenorm}}{}
+\item\contentsline{section}{{\bf EKF$<$ sq\_\-T $>$} (Extended \doxyref{Kalman}{p.}{classKalman} Filter )}{\pageref{classEKF}}{}
+\item\contentsline{section}{{\bf enorm$<$ sq\_\-T $>$} (Gaussian density with positive definite (decomposed) covariance matrix )}{\pageref{classenorm}}{}
 \item\contentsline{section}{{\bf epdf} (Probability density function with numerical statistics, e.g. posterior density )}{\pageref{classepdf}}{}
-\item\contentsline{section}{{\bf fnc} (Class representing function of variables )}{\pageref{classfnc}}{}
+\item\contentsline{section}{{\bf fnc} (Class representing function \$f(x)\$ of variable \$x\$ represented by {\tt rv} )}{\pageref{classfnc}}{}
 \item\contentsline{section}{{\bf fsqmat} (Fake \doxyref{sqmat}{p.}{classsqmat}. This class maps \doxyref{sqmat}{p.}{classsqmat} operations to operations on full matrix )}{\pageref{classfsqmat}}{}
-\item\contentsline{section}{{\bf Kalman$<$ sq\_\-T $>$} (\doxyref{Kalman}{p.}{classKalman} filter with covaraince matrices in square root form )}{\pageref{classKalman}}{}
+\item\contentsline{section}{{\bf Kalman$<$ sq\_\-T $>$} (\doxyref{Kalman}{p.}{classKalman} filter with covariance matrices in square root form )}{\pageref{classKalman}}{}
 \item\contentsline{section}{{\bf KalmanFull} (Basic \doxyref{Kalman}{p.}{classKalman} filter with full matrices (education purpose only)! Will be deleted soon! )}{\pageref{classKalmanFull}}{}
+\item\contentsline{section}{{\bf linfn} (Class representing function \$f(x) = Ax+B\$ )}{\pageref{classlinfn}}{}
 \item\contentsline{section}{{\bf MemDS} (Class representing off-line data stored in memory )}{\pageref{classMemDS}}{}
 \item\contentsline{section}{{\bf mpdf} (Conditional probability density, e.g. modeling some dependencies )}{\pageref{classmpdf}}{}
Index: doc/latex/classRV.tex
===================================================================
--- doc/latex/classRV.tex (revision 19)
+++ doc/latex/classRV.tex (revision 22)
@@ -18,5 +18,5 @@
 
 \begin{CompactList}\small\item\em Empty constructor will be set later. \item\end{CompactList}\item 
-int {\bf count} ()\label{classRV_9dcaca7b87cfb0e24a19260067d62f04}
+int {\bf count} () const \label{classRV_f5c7b8bd589eef09ccdf3329a0addea0}
 
 \begin{CompactList}\small\item\em Return length (number of scalars) of the \doxyref{RV}{p.}{classRV}. \item\end{CompactList}\item 
@@ -38,5 +38,8 @@
 void {\bf t} (int delta)\label{classRV_e0a158d53ab9430627241f844f4c9a60}
 
-\begin{CompactList}\small\item\em Generate new {\tt \doxyref{RV}{p.}{classRV}} with {\tt time} shifted by delta. \item\end{CompactList}\end{CompactItemize}
+\begin{CompactList}\small\item\em Generate new {\tt \doxyref{RV}{p.}{classRV}} with {\tt time} shifted by delta. \item\end{CompactList}\item 
+ivec {\bf indexlist} ()\label{classRV_8470cf53be6e7bdba78ad0efbd203ee7}
+
+\begin{CompactList}\small\item\em generate a list of indeces, i.e. which \item\end{CompactList}\end{CompactItemize}
 \subsection*{Friends}
 \begin{CompactItemize}
Index: doc/latex/hierarchy.tex
===================================================================
--- doc/latex/hierarchy.tex (revision 19)
+++ doc/latex/hierarchy.tex (revision 22)
@@ -4,4 +4,8 @@
 \begin{CompactList}
 \item \contentsline{section}{Kalman$<$ sq\_\-T $>$}{\pageref{classKalman}}{}
+\item \contentsline{section}{Kalman$<$ fsqmat $>$}{\pageref{classKalman}}{}
+\begin{CompactList}
+\item \contentsline{section}{EKF$<$ sq\_\-T $>$}{\pageref{classEKF}}{}
+\end{CompactList}
 \item \contentsline{section}{KalmanFull}{\pageref{classKalmanFull}}{}
 \item \contentsline{section}{PF}{\pageref{classPF}}{}
@@ -22,4 +26,12 @@
 \end{CompactList}
 \item \contentsline{section}{fnc}{\pageref{classfnc}}{}
+\begin{CompactList}
+\item \contentsline{section}{constfn}{\pageref{classconstfn}}{}
+\item \contentsline{section}{diffbifn}{\pageref{classdiffbifn}}{}
+\begin{CompactList}
+\item \contentsline{section}{bilinfn}{\pageref{classbilinfn}}{}
+\end{CompactList}
+\item \contentsline{section}{linfn}{\pageref{classlinfn}}{}
+\end{CompactList}
 \item \contentsline{section}{mpdf}{\pageref{classmpdf}}{}
 \item \contentsline{section}{RV}{\pageref{classRV}}{}