Index: doc/html/functions.html
===================================================================
--- doc/html/functions.html (revision 28)
+++ doc/html/functions.html (revision 32)
@@ -39,8 +39,10 @@
     <li><a href="#index_f"><span>f</span></a></li>
     <li><a href="#index_g"><span>g</span></a></li>
+    <li><a href="#index_h"><span>h</span></a></li>
     <li><a href="#index_i"><span>i</span></a></li>
     <li><a href="#index_k"><span>k</span></a></li>
     <li><a href="#index_l"><span>l</span></a></li>
     <li><a href="#index_m"><span>m</span></a></li>
+    <li><a href="#index_n"><span>n</span></a></li>
     <li><a href="#index_o"><span>o</span></a></li>
     <li><a href="#index_p"><span>p</span></a></li>
@@ -51,4 +53,5 @@
     <li><a href="#index_u"><span>u</span></a></li>
     <li><a href="#index_w"><span>w</span></a></li>
+    <li><a href="#index_~"><span>~</span></a></li>
   </ul>
 </div>
@@ -58,4 +61,6 @@
 <p>
 <h3><a class="anchor" name="index__">- _ -</a></h3><ul>
+<li>_cached()
+: <a class="el" href="classenorm.html#c9ca4f2ca42568e40ca146168e7f3247">enorm&lt; sq_T &gt;</a>
 <li>_dimu()
 : <a class="el" href="classdiffbifn.html#fc8779acbff170611aff0ee70cee3879">diffbifn</a>
@@ -65,22 +70,38 @@
 : <a class="el" href="classfnc.html#a8891973d0ca48ce38e1886df45ca298">fnc</a>
 <li>_epdf()
-: <a class="el" href="classBM.html#a5b8f6c8a872738cfaa30ab010e8c077">BM</a>
+: <a class="el" href="classKalman.html#a213c57aef55b2645e550bed81cfc0d4">Kalman&lt; sq_T &gt;</a>
+, <a class="el" href="classMPF.html#549e08268a46a250f21a33d06f19276a">MPF&lt; BM_T &gt;</a>
+, <a class="el" href="classBM.html#3dc45554556926bde996a267636abe55">BM</a>
+<li>_iR
+: <a class="el" href="classenorm.html#82f39ac49911d7097f4bfe385deba355">enorm&lt; sq_T &gt;</a>
+<li>_mu()
+: <a class="el" href="classenorm.html#3be0cb541ec9b88e5aa3f60307bbc753">enorm&lt; sq_T &gt;</a>
+<li>_param()
+: <a class="el" href="classegamma.html#44445c56e60b91b377f207f8d5089790">egamma</a>
+<li>_R()
+: <a class="el" href="classenorm.html#8725c534863c4fc2bddef0edfb95a740">enorm&lt; sq_T &gt;</a>
+<li>_w()
+: <a class="el" href="classeEmp.html#31b2bfb73b72486a5c89f2ab850c7a9b">eEmp</a>
 </ul>
 <h3><a class="anchor" name="index_a">- a -</a></h3><ul>
 <li>add()
-: <a class="el" href="classRV.html#f068a86abb5a6e46fcf76c939d2ed2ec">RV</a>
+: <a class="el" href="classRV.html#18fa114b92017f7f80301a4f8d3a6382">RV</a>
 </ul>
 <h3><a class="anchor" name="index_b">- b -</a></h3><ul>
 <li>bayes()
-: <a class="el" href="classKalmanFull.html#048b13739b94c331cda08249b278552b">KalmanFull</a>
-, <a class="el" href="classKalman.html#e945d9205ca14acbd83ba80ea6f72b8e">Kalman&lt; sq_T &gt;</a>
-, <a class="el" href="classBM.html#a892eff438aab2dd1a9e2efcb7fb5bdf">BM</a>
-, <a class="el" href="classEKF.html#fb0a08463f14e5584344ea2df99fe747">EKF&lt; sq_T &gt;</a>
+: <a class="el" href="classKalmanFull.html#13a041cd98ff157703766be275a657bb">KalmanFull</a>
+, <a class="el" href="classKalman.html#7750ffd73f261828a32c18aaeb65c75c">Kalman&lt; sq_T &gt;</a>
+, <a class="el" href="classPF.html#64f636bbd63bea9efd778214e6b631d3">PF</a>
+, <a class="el" href="classBM.html#87b07867fd4c133aa89a18543f68d9f9">BM</a>
+, <a class="el" href="classMPF.html#55daf8e4b6553dd9f47c692de7931623">MPF&lt; BM_T &gt;</a>
+, <a class="el" href="classEKF.html#c79c62c9b3e0b56b3aaa1b6f1d9a7af7">EKF&lt; sq_T &gt;</a>
 <li>bilinfn()
 : <a class="el" href="classbilinfn.html#af9f36282730d910a41b95f4d1fb8221">bilinfn</a>
 <li>BM()
-: <a class="el" href="classBM.html#ef32a12f4f89e4000bf5390ceda762ae">BM</a>
+: <a class="el" href="classBM.html#605d28b426adb677c86a57ddb525132a">BM</a>
 </ul>
 <h3><a class="anchor" name="index_c">- c -</a></h3><ul>
+<li>cached
+: <a class="el" href="classenorm.html#ae12db77283a96e0f14a3eae93dc3bf1">enorm&lt; sq_T &gt;</a>
 <li>clear()
 : <a class="el" href="classsqmat.html#6fca246f9eabbdeb8cac03030e826b5e">sqmat</a>
@@ -88,4 +109,7 @@
 <li>cols()
 : <a class="el" href="classsqmat.html#ecc2e2540f95a04f4449842588170f5b">sqmat</a>
+<li>condition()
+: <a class="el" href="classKFcondQR.html#c9ecf292a85327aa6309c9fd70ceb606">KFcondQR</a>
+, <a class="el" href="classBMcond.html#3543cfe274c35f9033c24d8036a96c4d">BMcond</a>
 <li>constfn()
 : <a class="el" href="classconstfn.html#d08acd7fac0ef3edfa59bbe48403f2bc">constfn</a>
@@ -102,20 +126,41 @@
 <li>diffbifn()
 : <a class="el" href="classdiffbifn.html#0b33e1bfa23be5ed234d172eb4c0e4b5">diffbifn</a>
+<li>dim
+: <a class="el" href="classenorm.html#6938fc390a19cdaf6ad4503fcbaada4e">enorm&lt; sq_T &gt;</a>
+<li>distance
+: <a class="el" href="classeuni.html#52a6ff4a54010f88a6a19fca605c64a4">euni</a>
 <li>Drv
 : <a class="el" href="classDS.html#1012025a1a3a1fdd24aa48698a3d3454">DS</a>
-<li>dupdate()
-: <a class="el" href="classenorm.html#d1b0faf61260de09cf63bf823add5b32">enorm&lt; sq_T &gt;</a>
 </ul>
 <h3><a class="anchor" name="index_e">- e -</a></h3><ul>
+<li>eEF()
+: <a class="el" href="classeEF.html#702e24158366430bc24d57c7f64e1e9e">eEF</a>
+<li>egamma()
+: <a class="el" href="classegamma.html#4b1d34f3b244ea51a58ec10c468788c1">egamma</a>
 <li>EKF()
-: <a class="el" href="classEKF.html#003687c6cf2a01be90a00e2c99e3863e">EKF&lt; sq_T &gt;</a>
+: <a class="el" href="classEKF.html#ea4f3254cacf0a92d2a820b1201d049e">EKF&lt; sq_T &gt;</a>
+<li>emix()
+: <a class="el" href="classemix.html#b0ac204af8919c22bce72816ed82019e">emix</a>
+<li>ep
+: <a class="el" href="classmpdf.html#7aa894208a32f3487827df6d5054424c">mpdf</a>
+<li>ePdf
+: <a class="el" href="classPF.html#a2ac56d1e3ffbb4ff0b3f02e6399deb0">PF</a>
+<li>epdf()
+: <a class="el" href="classepdf.html#d8eb760037b3bad5a0d64081606697cd">epdf</a>
+<li>est
+: <a class="el" href="classKalman.html#5568c74bac67ae6d3b1061dba60c9424">Kalman&lt; sq_T &gt;</a>
 <li>eval()
-: <a class="el" href="classfnc.html#7fad2e6cb35909a165ec5a53def4a18c">fnc</a>
+: <a class="el" href="classeuni.html#95f29237feb32fcadf570a181d5a0918">euni</a>
+, <a class="el" href="classepdf.html#f333ceeb88ebc37d81fcd4cea4526bfc">epdf</a>
 , <a class="el" href="classbilinfn.html#e36a16e72e7f9fedf3cb18d2d5505a24">bilinfn</a>
-, <a class="el" href="classdiffbifn.html#40d8a7eee45acc55cda33d43282faa03">diffbifn</a>
+, <a class="el" href="classfnc.html#7fad2e6cb35909a165ec5a53def4a18c">fnc</a>
+, <a class="el" href="classdiffbifn.html#ad7673e16aa1a046b131b24c731c4632">diffbifn</a>
 , <a class="el" href="classenorm.html#93107f05a8e9b34b64853767200121a4">enorm&lt; sq_T &gt;</a>
-, <a class="el" href="classepdf.html#f333ceeb88ebc37d81fcd4cea4526bfc">epdf</a>
 <li>evalll
 : <a class="el" href="classBM.html#bf6fb59b30141074f8ee1e2f43d03129">BM</a>
+<li>evalpdflog()
+: <a class="el" href="classenorm.html#9517594915e897584eaebbb057ed8881">enorm&lt; sq_T &gt;</a>
+, <a class="el" href="classeuni.html#830fca2ffb6786530529c57eabc81666">euni</a>
+, <a class="el" href="classepdf.html#113c76c61d20e3f2a24ba322a73dfc51">epdf</a>
 </ul>
 <h3><a class="anchor" name="index_f">- f -</a></h3><ul>
@@ -123,11 +168,21 @@
 : <a class="el" href="classRV.html#6b078b1086224aca3a9e5a203e647fb6">RV</a>
 <li>fsqmat()
-: <a class="el" href="classfsqmat.html#1929fbc9fe375f1d67f979d0d302336f">fsqmat</a>
+: <a class="el" href="classfsqmat.html#79e3f73e0ccd663c7f7e08083d272940">fsqmat</a>
+<li>fy
+: <a class="el" href="classKalman.html#e580ab06483952bd03f2e651763e184f">Kalman&lt; sq_T &gt;</a>
 </ul>
 <h3><a class="anchor" name="index_g">- g -</a></h3><ul>
+<li>Gamma_RNG()
+: <a class="el" href="classitpp_1_1Gamma__RNG.html#e132860f825f427d63652edd02c25b54">itpp::Gamma_RNG</a>
+<li>get_setup()
+: <a class="el" href="classitpp_1_1Gamma__RNG.html#8e666953249038f262cece2d3ed952d6">itpp::Gamma_RNG</a>
 <li>getdata()
-: <a class="el" href="classDS.html#db2dacc9e71a36eeb9c5c2ee402eeeb1">DS</a>
+: <a class="el" href="classMemDS.html#23522b9e7dd0bb0c365cc9cde4c05449">MemDS</a>
+, <a class="el" href="classDS.html#4027575bc66ea358f9b03dd3be28fe1e">DS</a>
 , <a class="el" href="classMemDS.html#900f1e1c9eb950f87e557c068628e60e">MemDS</a>
-, <a class="el" href="classDS.html#4027575bc66ea358f9b03dd3be28fe1e">DS</a>
+</ul>
+<h3><a class="anchor" name="index_h">- h -</a></h3><ul>
+<li>high
+: <a class="el" href="classeuni.html#71b6d6b41aeb61a7f76f682b72119231">euni</a>
 </ul>
 <h3><a class="anchor" name="index_i">- i -</a></h3><ul>
@@ -139,9 +194,11 @@
 <h3><a class="anchor" name="index_k">- k -</a></h3><ul>
 <li>Kalman()
-: <a class="el" href="classKalman.html#96958a5ebfa966d892137987f265083a">Kalman&lt; sq_T &gt;</a>
+: <a class="el" href="classKalman.html#3d56b0a97b8c1e25fdd3b10eef3c2ad3">Kalman&lt; sq_T &gt;</a>
 <li>KalmanFull()
 : <a class="el" href="classKalmanFull.html#7197ab6e7380790006394eabd3b97043">KalmanFull</a>
 </ul>
 <h3><a class="anchor" name="index_l">- l -</a></h3><ul>
+<li>len
+: <a class="el" href="classRV.html#0d7b36e2bbccf880c8fcf1e8cc43c1a9">RV</a>
 <li>linkrvs()
 : <a class="el" href="classDS.html#9a35ca9c9321dce2bf63bf668f785b75">DS</a>
@@ -150,18 +207,49 @@
 : <a class="el" href="classBM.html#5623fef6572a08c2b53b8c87b82dc979">BM</a>
 <li>logdet()
-: <a class="el" href="classsqmat.html#5c852819589f74cdaefbd648c0ce8547">sqmat</a>
-, <a class="el" href="classfsqmat.html#bf212272ec195ad2706e2bf4d8e7c9b3">fsqmat</a>
+: <a class="el" href="classsqmat.html#0a772b396750eeeed85d69fa72478b45">sqmat</a>
+, <a class="el" href="classfsqmat.html#eb0d1358f536e4453b5f99d0418ca1e5">fsqmat</a>
+<li>low
+: <a class="el" href="classeuni.html#ef42cd8d7645422048d46c46ec5cdac1">euni</a>
 </ul>
 <h3><a class="anchor" name="index_m">- m -</a></h3><ul>
+<li>mean()
+: <a class="el" href="classepdf.html#5b61fae74d370d2216576d598c1a74ef">epdf</a>
+, <a class="el" href="classenorm.html#191c1220c3ddd0c5f54e78f19b57ebd5">enorm&lt; sq_T &gt;</a>
+, <a class="el" href="classemix.html#dcb3f927bf061eac6229850158ca1558">emix</a>
+, <a class="el" href="classeuni.html#34a2f2d23158c40b97b44dfe551a1b3d">euni</a>
+, <a class="el" href="classegamma.html#6617890ffa40767fc196876534d4119d">egamma</a>
+, <a class="el" href="classeEmp.html#de42454cb65a17fd8662d207dd59aacf">eEmp</a>
+<li>mgamma()
+: <a class="el" href="classmgamma.html#af43e61b86900c0398d5c0ffc83b94e6">mgamma</a>
+<li>mlnorm()
+: <a class="el" href="classmlnorm.html#f927203b3f31171c5c10ffc7caa797f5">mlnorm&lt; sq_T &gt;</a>
+<li>mpdf()
+: <a class="el" href="classmpdf.html#581ecf362185d37c08bb31cb9d046d6f">mpdf</a>
+<li>MPF()
+: <a class="el" href="classMPF.html#827a66609cf69a832535d52233f76fa0">MPF&lt; BM_T &gt;</a>
 <li>mu
 : <a class="el" href="classKalmanFull.html#fb5aec635e2720cc5ac31bc01c18a68a">KalmanFull</a>
-, <a class="el" href="classKalman.html#3063a3f58a74cea672ae889971012eed">Kalman&lt; sq_T &gt;</a>
+, <a class="el" href="classenorm.html#71fde0d54bba147e00f612577f95ad20">enorm&lt; sq_T &gt;</a>
 <li>mult_sym()
-: <a class="el" href="classsqmat.html#faa3bc90be142adde9cf74f573c70157">sqmat</a>
-, <a class="el" href="classfsqmat.html#acc5d2d0a243f1de6d0106065f01f518">fsqmat</a>
+: <a class="el" href="classfsqmat.html#5530d2756b5d991de755e6121c9a452e">fsqmat</a>
+, <a class="el" href="classsqmat.html#60fbbfa9e483b8187c135f787ee53afa">sqmat</a>
+<li>mult_sym_t()
+: <a class="el" href="classfsqmat.html#92052a8adc2054b63e42d1373d145c89">fsqmat</a>
+, <a class="el" href="classsqmat.html#6909e906da17725b1b80f3cae7cf3325">sqmat</a>
+</ul>
+<h3><a class="anchor" name="index_n">- n -</a></h3><ul>
+<li>n
+: <a class="el" href="classPF.html#2c2f44ed7a4eaa42e07bdb58d503f280">PF</a>
+, <a class="el" href="classeEmp.html#8c33034de0e35f03f8bb85d3d67438fd">eEmp</a>
+<li>nk
+: <a class="el" href="classeuni.html#63105490e946e43372d6187ad1bafdda">euni</a>
 </ul>
 <h3><a class="anchor" name="index_o">- o -</a></h3><ul>
+<li>obs
+: <a class="el" href="classPF.html#dd0a687a4515333d6809147335854e77">PF</a>
 <li>operator()()
-: <a class="el" href="classRV.html#28bbcb8873bafdac317bafb7b481cc45">RV</a>
+: <a class="el" href="classitpp_1_1Gamma__RNG.html#98e2e65456bca33fca602b2bd607235e">itpp::Gamma_RNG</a>
+, <a class="el" href="classRV.html#28bbcb8873bafdac317bafb7b481cc45">RV</a>
+, <a class="el" href="classitpp_1_1Gamma__RNG.html#d407bbcda8a39e3f07cac3fdf58ca430">itpp::Gamma_RNG</a>
 <li>operator&lt;&lt;
 : <a class="el" href="classRV.html#cad6f15535d10437f6690cb4492176a8">RV</a>
@@ -173,18 +261,28 @@
 <li>P
 : <a class="el" href="classKalmanFull.html#b75dc059e84fa8ffc076203b30f926cc">KalmanFull</a>
-, <a class="el" href="classKalman.html#188cd5ac1c9e496b1a371eb7c57c97d3">Kalman&lt; sq_T &gt;</a>
+<li>par
+: <a class="el" href="classPF.html#d92ac103f88f8c21e197e90af5695a09">PF</a>
 </ul>
 <h3><a class="anchor" name="index_q">- q -</a></h3><ul>
 <li>qform()
-: <a class="el" href="classsqmat.html#44e079468bc8bfccf634dc85b32ba6be">sqmat</a>
-, <a class="el" href="classfsqmat.html#6d047b9f7a27dfc093303a13cc9b1fba">fsqmat</a>
+: <a class="el" href="classsqmat.html#90f97cdf9de08ead4f0648419b3aa4ce">sqmat</a>
+, <a class="el" href="classfsqmat.html#1eec8762a2299d83c7b7cd6bf6cbc1ad">fsqmat</a>
 </ul>
 <h3><a class="anchor" name="index_r">- r -</a></h3><ul>
+<li>R
+: <a class="el" href="classenorm.html#4ccc8d8514d644ef1c98d8ab023748a1">enorm&lt; sq_T &gt;</a>
 <li>resample()
-: <a class="el" href="classPF.html#a0e26b2f6a5884aca49122f3e4f0cf19">PF</a>
+: <a class="el" href="classeEmp.html#77268292fc4465cb73ddbfb1f2932a59">eEmp</a>
 <li>rows()
 : <a class="el" href="classsqmat.html#071e80ced9cc3b8cbb360fa7462eb646">sqmat</a>
 <li>RV()
 : <a class="el" href="classRV.html#cf911c3900214460ade1366b04058462">RV</a>
+<li>rv
+: <a class="el" href="classmpdf.html#f6687c07ff07d47812dd565368ca59eb">mpdf</a>
+, <a class="el" href="classBM.html#af00f0612fabe66241dd507188cdbf88">BM</a>
+<li>RV()
+: <a class="el" href="classRV.html#6a22f5c06d6403870d4e414b1993bf9e">RV</a>
+<li>rvc
+: <a class="el" href="classmpdf.html#acb7dda792b3cd5576f39fa3129abbab">mpdf</a>
 </ul>
 <h3><a class="anchor" name="index_s">- s -</a></h3><ul>
@@ -192,12 +290,29 @@
 : <a class="el" href="classepdf.html#7f74d871d50b9ff360f1b3879092a9fa">epdf</a>
 , <a class="el" href="classenorm.html#6020bcd89db2c9584bd8871001bd2023">enorm&lt; sq_T &gt;</a>
+, <a class="el" href="classemix.html#3eb9a8e12ce1c5c8a3ddb245354b6941">emix</a>
+, <a class="el" href="classeuni.html#0f71562e3e919aba823cb7d9d420ad4c">euni</a>
+, <a class="el" href="classegamma.html#0a2186a586432c2c3f22d09c5341890f">egamma</a>
+, <a class="el" href="classeEmp.html#c9b44099a400579b88aff9f5afaf9c13">eEmp</a>
 <li>samplecond()
-: <a class="el" href="classmpdf.html#c20c796f8d0a201f0897299150e45a41">mpdf</a>
+: <a class="el" href="classmlnorm.html#decf3e3b5c8e0812e5b4dbe94fa2ae18">mlnorm&lt; sq_T &gt;</a>
+, <a class="el" href="classmgamma.html#9f40dc43885085fad8e3d6652b79e139">mgamma</a>
+, <a class="el" href="classmpdf.html#c20c796f8d0a201f0897299150e45a41">mpdf</a>
+<li>samples
+: <a class="el" href="classPF.html#361743a0b5b89de1a29e91d1343b2565">PF</a>
+<li>set_est()
+: <a class="el" href="classKalman.html#80bcf29466d9a9dd2b8f74699807d0c0">Kalman&lt; sq_T &gt;</a>
+<li>set_parameters()
+: <a class="el" href="classegamma.html#8e348b89be82b70471fe8c5630f61339">egamma</a>
+, <a class="el" href="classKalman.html#239b28a0380946f5749b2f8d2807f93a">Kalman&lt; sq_T &gt;</a>
+<li>setup()
+: <a class="el" href="classitpp_1_1Gamma__RNG.html#dfaae19411e39aa87e1f72e409b6babe">itpp::Gamma_RNG</a>
+<li>size
+: <a class="el" href="classRV.html#0cae53d262be90a775a99a198e17fa58">RV</a>
 <li>sqrt_mult()
-: <a class="el" href="classsqmat.html#b5236c8a050199e1a9d338b0da1a08d2">sqmat</a>
-, <a class="el" href="classfsqmat.html#6648dd4291b809cce14e8497d0433ad3">fsqmat</a>
+: <a class="el" href="classsqmat.html#975ddc7e8035d8d4e6cbd52dd99c248c">sqmat</a>
+, <a class="el" href="classfsqmat.html#2288389e2d47bd9df112815ef570c5c9">fsqmat</a>
 <li>step()
-: <a class="el" href="classMemDS.html#21916feb3e5ff960855c09b06a0d279b">MemDS</a>
-, <a class="el" href="classDS.html#470ba89e8e7c3c4d830803221b4e9be6">DS</a>
+: <a class="el" href="classDS.html#470ba89e8e7c3c4d830803221b4e9be6">DS</a>
+, <a class="el" href="classMemDS.html#21916feb3e5ff960855c09b06a0d279b">MemDS</a>
 <li>subselect()
 : <a class="el" href="classRV.html#2bf35b18a32aad419f0516273939628e">RV</a>
@@ -219,10 +334,25 @@
 </ul>
 <h3><a class="anchor" name="index_w">- w -</a></h3><ul>
+<li>w
+: <a class="el" href="classPF.html#a97d12da4d1832c0b0c6ec5877f921f0">PF</a>
 <li>write()
-: <a class="el" href="classDS.html#0dfb6788b70c0d48a1f5276ed6c93039">DS</a>
-, <a class="el" href="classMemDS.html#6279bf18d44343750747ecc12e050f09">MemDS</a>
+: <a class="el" href="classMemDS.html#6279bf18d44343750747ecc12e050f09">MemDS</a>
 , <a class="el" href="classDS.html#f4ae51a3bc1267a6a52fc229973afe85">DS</a>
 </ul>
-<hr size="1"><address style="text-align: right;"><small>Generated on Mon Feb 18 21:48:40 2008 for mixpp by&nbsp;
+<h3><a class="anchor" name="index_~">- ~ -</a></h3><ul>
+<li>~BM()
+: <a class="el" href="classBM.html#ca0f02b3b4144e0895cc14f7e0374bdd">BM</a>
+<li>~epdf()
+: <a class="el" href="classepdf.html#0a322dd106f04c0a2915e3d4f4227396">epdf</a>
+<li>~fnc()
+: <a class="el" href="classfnc.html#17164c202f6feee3d708b8caab6306ab">fnc</a>
+<li>~fsqmat()
+: <a class="el" href="classfsqmat.html#2a8f104e4befbc2aa90d8b11edfedb2e">fsqmat</a>
+<li>~mpdf()
+: <a class="el" href="classmpdf.html#6788be9f3a888796499c5293a318fcfb">mpdf</a>
+<li>~sqmat()
+: <a class="el" href="classsqmat.html#0481f2067bb32aaea7e6d4f27e46b656">sqmat</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Thu Feb 28 16:54:41 2008 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>