Index: doc/html/classfsqmat.html
===================================================================
--- doc/html/classfsqmat.html (revision 32)
+++ doc/html/classfsqmat.html (revision 33)
@@ -57,10 +57,12 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Inplace symmetric multiplication by a SQUARE transpose of matrix $C$, i.e. $V = C'*V*C$.  <a href="#92052a8adc2054b63e42d1373d145c89"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cfea3618d426e2b8232f09aa0070266f"></a><!-- doxytag: member="fsqmat::mult_sym" ref="cfea3618d426e2b8232f09aa0070266f" args="(const mat &amp;C, fsqmat &amp;U)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><b>mult_sym</b> (const mat &amp;C, <a class="el" href="classfsqmat.html">fsqmat</a> &amp;U)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7ca865c68989d22903efe97045cb6c9a"></a><!-- doxytag: member="fsqmat::mult_sym_t" ref="7ca865c68989d22903efe97045cb6c9a" args="(const mat &amp;C, fsqmat &amp;U)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><b>mult_sym_t</b> (const mat &amp;C, <a class="el" href="classfsqmat.html">fsqmat</a> &amp;U)</td></tr>
-
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d4eddc3743c8865cc5ed92d14de0e3e3"></a><!-- doxytag: member="fsqmat::mult_sym" ref="d4eddc3743c8865cc5ed92d14de0e3e3" args="(const mat &amp;C, fsqmat &amp;U) const " -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#d4eddc3743c8865cc5ed92d14de0e3e3">mult_sym</a> (const mat &amp;C, <a class="el" href="classfsqmat.html">fsqmat</a> &amp;U) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">store result of <code>mult_sym</code> in external matrix $U$ <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ae4949ad2a32553c7fa04d6d1483770a"></a><!-- doxytag: member="fsqmat::mult_sym_t" ref="ae4949ad2a32553c7fa04d6d1483770a" args="(const mat &amp;C, fsqmat &amp;U) const " -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#ae4949ad2a32553c7fa04d6d1483770a">mult_sym_t</a> (const mat &amp;C, <a class="el" href="classfsqmat.html">fsqmat</a> &amp;U) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">store result of <code>mult_sym_t</code> in external matrix $U$ <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cfa4c359483d2322f32d1d50050f8ac4"></a><!-- doxytag: member="fsqmat::clear" ref="cfa4c359483d2322f32d1d50050f8ac4" args="()" -->
 void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#cfa4c359483d2322f32d1d50050f8ac4">clear</a> ()</td></tr>
@@ -76,5 +78,5 @@
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default initialization with proper size. <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1929fbc9fe375f1d67f979d0d302336f"></a><!-- doxytag: member="fsqmat::fsqmat" ref="1929fbc9fe375f1d67f979d0d302336f" args="(const mat &amp;M)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#1929fbc9fe375f1d67f979d0d302336f">fsqmat</a> (const mat &amp;M)</td></tr>
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#1929fbc9fe375f1d67f979d0d302336f">fsqmat</a> (const mat &amp;<a class="el" href="classfsqmat.html#a7a1fcb9aae19d1e4daddfc9c22ce453">M</a>)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor. <br></td></tr>
@@ -90,20 +92,23 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Logarithm of a determinant. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1eec8762a2299d83c7b7cd6bf6cbc1ad"></a><!-- doxytag: member="fsqmat::qform" ref="1eec8762a2299d83c7b7cd6bf6cbc1ad" args="(const vec &amp;v)" -->
-double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#1eec8762a2299d83c7b7cd6bf6cbc1ad">qform</a> (const vec &amp;v)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a6c91b0389e73404324b2314b08d6e87"></a><!-- doxytag: member="fsqmat::qform" ref="a6c91b0389e73404324b2314b08d6e87" args="(const vec &amp;v) const " -->
+double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#a6c91b0389e73404324b2314b08d6e87">qform</a> (const vec &amp;v) const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Evaluates quadratic form $x= v'*V*v$;. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#2288389e2d47bd9df112815ef570c5c9">sqrt_mult</a> (const vec &amp;v)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Multiplies square root of $V$ by vector $x$.  <a href="#2288389e2d47bd9df112815ef570c5c9"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#842a774077ee34ac3c36d180ab33e103">sqrt_mult</a> (const vec &amp;v) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Multiplies square root of $V$ by vector $x$.  <a href="#842a774077ee34ac3c36d180ab33e103"></a><br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="514d1fdd8a382dbd6a774f2cf1ebd3de"></a><!-- doxytag: member="fsqmat::operator+=" ref="514d1fdd8a382dbd6a774f2cf1ebd3de" args="(const fsqmat &amp;A)" -->
-<a class="el" href="classfsqmat.html">fsqmat</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (const <a class="el" href="classfsqmat.html">fsqmat</a> &amp;A)</td></tr>
-
+<a class="el" href="classfsqmat.html">fsqmat</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#514d1fdd8a382dbd6a774f2cf1ebd3de">operator+=</a> (const <a class="el" href="classfsqmat.html">fsqmat</a> &amp;A)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">add another <a class="el" href="classfsqmat.html" title="Fake sqmat. This class maps sqmat operations to operations on full matrix.">fsqmat</a> matrix <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e976bc9d899961e1d2087b0630ed33b7"></a><!-- doxytag: member="fsqmat::operator-=" ref="e976bc9d899961e1d2087b0630ed33b7" args="(const fsqmat &amp;A)" -->
-<a class="el" href="classfsqmat.html">fsqmat</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (const <a class="el" href="classfsqmat.html">fsqmat</a> &amp;A)</td></tr>
-
+<a class="el" href="classfsqmat.html">fsqmat</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#e976bc9d899961e1d2087b0630ed33b7">operator-=</a> (const <a class="el" href="classfsqmat.html">fsqmat</a> &amp;A)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">subtrack another <a class="el" href="classfsqmat.html" title="Fake sqmat. This class maps sqmat operations to operations on full matrix.">fsqmat</a> matrix <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8f7ce97628a50e06641281096b2af9b7"></a><!-- doxytag: member="fsqmat::operator *=" ref="8f7ce97628a50e06641281096b2af9b7" args="(double x)" -->
-<a class="el" href="classfsqmat.html">fsqmat</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator *=</b> (double x)</td></tr>
-
+<a class="el" href="classfsqmat.html">fsqmat</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#8f7ce97628a50e06641281096b2af9b7">operator *=</a> (double x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">multiply by a scalar <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ecc2e2540f95a04f4449842588170f5b"></a><!-- doxytag: member="fsqmat::cols" ref="ecc2e2540f95a04f4449842588170f5b" args="() const " -->
 int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsqmat.html#ecc2e2540f95a04f4449842588170f5b">cols</a> () const </td></tr>
@@ -116,13 +121,16 @@
 <tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a7a1fcb9aae19d1e4daddfc9c22ce453"></a><!-- doxytag: member="fsqmat::M" ref="a7a1fcb9aae19d1e4daddfc9c22ce453" args="" -->
-mat&nbsp;</td><td class="memItemRight" valign="bottom"><b>M</b></td></tr>
-
+mat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#a7a1fcb9aae19d1e4daddfc9c22ce453">M</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Full matrix on which the operations are performed. <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0abed904bdc0882373ba9adba919689d"></a><!-- doxytag: member="fsqmat::dim" ref="0abed904bdc0882373ba9adba919689d" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><b>dim</b></td></tr>
-
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsqmat.html#0abed904bdc0882373ba9adba919689d">dim</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">dimension of the square matrix <br></td></tr>
 <tr><td colspan="2"><br><h2>Friends</h2></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e06aba54d61e807b41bd68b5ee6ac22f"></a><!-- doxytag: member="fsqmat::operator&lt;&lt;" ref="e06aba54d61e807b41bd68b5ee6ac22f" args="(std::ostream &amp;os, const fsqmat &amp;sq)" -->
-std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classfsqmat.html">fsqmat</a> &amp;sq)</td></tr>
-
+std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfsqmat.html#e06aba54d61e807b41bd68b5ee6ac22f">operator&lt;&lt;</a> (std::ostream &amp;os, const <a class="el" href="classfsqmat.html">fsqmat</a> &amp;sq)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">print full matrix <br></td></tr>
 </table>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
@@ -252,5 +260,5 @@
 </div>
 </div><p>
-<a class="anchor" name="2288389e2d47bd9df112815ef570c5c9"></a><!-- doxytag: member="fsqmat::sqrt_mult" ref="2288389e2d47bd9df112815ef570c5c9" args="(const vec &amp;v)" -->
+<a class="anchor" name="842a774077ee34ac3c36d180ab33e103"></a><!-- doxytag: member="fsqmat::sqrt_mult" ref="842a774077ee34ac3c36d180ab33e103" args="(const vec &amp;v) const " -->
 <div class="memitem">
 <div class="memproto">
@@ -262,5 +270,5 @@
           <td class="paramname"> <em>v</em>          </td>
           <td>&nbsp;)&nbsp;</td>
-          <td width="100%"><code> [inline, virtual]</code></td>
+          <td width="100%"> const<code> [inline, virtual]</code></td>
         </tr>
       </table>
@@ -272,11 +280,11 @@
 <p>
 Used e.g. in generating normal samples. 
-<p>Implements <a class="el" href="classsqmat.html#975ddc7e8035d8d4e6cbd52dd99c248c">sqmat</a>.</p>
+<p>Implements <a class="el" href="classsqmat.html#6b79438b5d7544a9c8e110a145355d8f">sqmat</a>.</p>
 
 </div>
 </div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li>work/mixpp/bdm/math/<a class="el" href="libDC_8h-source.html">libDC.h</a><li>work/mixpp/bdm/math/libDC.cpp<li>work/mixpp/bdm/math/libDC_.cpp</ul>
-<hr size="1"><address style="text-align: right;"><small>Generated on Thu Feb 28 16:54:49 2008 for mixpp by&nbsp;
+<li>work/mixpp/bdm/math/<a class="el" href="libDC_8h-source.html">libDC.h</a><li>work/mixpp/bdm/math/libDC.cpp</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Wed Mar 5 15:40:06 2008 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>