Index: doc/latex/classeEF__inherit__graph.eps
===================================================================
--- doc/latex/classeEF__inherit__graph.eps (revision 30)
+++ doc/latex/classeEF__inherit__graph.eps (revision 37)
@@ -182,8 +182,8 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 254 258
+%%PageBoundingBox: 36 36 335 258
 %%PageOrientation: Portrait
 gsave
-36 36 254 258 boxprim clip newpath
+36 36 335 258 boxprim clip newpath
 0 0 1 beginpage
 1 1 set_scale 0 rotate 40 40 translate
@@ -191,6 +191,6 @@
 newpath -4 -4 moveto
 -4 218 lineto
-214 218 lineto
-214 -4 lineto
+295 218 lineto
+295 -4 lineto
 closepath fill
 1 setlinewidth
@@ -198,26 +198,26 @@
 newpath -4 -4 moveto
 -4 218 lineto
-214 218 lineto
-214 -4 lineto
+295 218 lineto
+295 -4 lineto
 closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 106 132 moveto
-106 153 lineto
-141 153 lineto
-141 132 lineto
+newpath 95 132 moveto
+95 153 lineto
+130 153 lineto
+130 132 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 106 132 moveto
-106 153 lineto
-141 153 lineto
-141 132 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-123 139 moveto 19 -0.5 (eEF) alignedtext
+newpath 95 132 moveto
+95 153 lineto
+130 153 lineto
+130 132 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+112 139 moveto 19 -0.5 (eEF) alignedtext
 grestore
 % Node3
@@ -256,28 +256,28 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 97 126 moveto
-81 116 59 102 45 93 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 95.738 129.365 moveto
-106 132 lineto
-99.6209 123.541 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 95.738 129.365 moveto
-106 132 lineto
-99.6209 123.541 lineto
+newpath 89 126 moveto
+74 115 56 102 44 93 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 86.9 128.8 moveto
+97 132 lineto
+91.1 123.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 86.9 128.8 moveto
+97 132 lineto
+91.1 123.2 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 78 73 168 93 ]
+[ /Rect [ 116 73 206 93 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 78 73 168 93 ]
+[ /Rect [ 116 73 206 93 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -285,20 +285,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 78 72 moveto
-78 93 lineto
-169 93 lineto
-169 72 lineto
+newpath 116 72 moveto
+116 93 lineto
+207 93 lineto
+207 72 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 78 72 moveto
-78 93 lineto
-169 93 lineto
-169 72 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-123 79 moveto 75 -0.5 (enorm< sq_T >) alignedtext
+newpath 116 72 moveto
+116 93 lineto
+207 93 lineto
+207 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+161 79 moveto 75 -0.5 (enorm< sq_T >) alignedtext
 grestore
 % Node1->Node4
@@ -307,28 +307,28 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 123 122 moveto
-123 112 123 101 123 93 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 119.5 122 moveto
-123 132 lineto
-126.5 122 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 119.5 122 moveto
-123 132 lineto
-126.5 122 lineto
+newpath 128 124 moveto
+136 114 146 102 153 93 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 124.951 122.169 moveto
+121 132 lineto
+130.219 126.779 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 124.951 122.169 moveto
+121 132 lineto
+130.219 126.779 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 112 1 210 21 ]
+[ /Rect [ 55 1 153 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 112 1 210 21 ]
+[ /Rect [ 55 1 153 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -336,20 +336,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 112 0 moveto
-112 21 lineto
-210 21 lineto
-210 0 lineto
+newpath 55 0 moveto
+55 21 lineto
+153 21 lineto
+153 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 112 0 moveto
-112 21 lineto
-210 21 lineto
-210 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-161 7 moveto 82 -0.5 (enorm< ldmat >) alignedtext
+newpath 55 0 moveto
+55 21 lineto
+153 21 lineto
+153 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+104 7 moveto 82 -0.5 (enorm< ldmat >) alignedtext
 grestore
 % Node1->Node5
@@ -358,30 +358,82 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 149 126 moveto
-159 117 171 107 177 94 curveto
-189 72 190 62 182 40 curveto
-180 33 176 26 171 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 146.9 123.2 moveto
-141 132 lineto
-151.1 128.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 146.9 123.2 moveto
-141 132 lineto
-151.1 128.8 lineto
+newpath 110 122 moveto
+109 113 108 103 107 94 curveto
+106 68 105 37 104 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 106.522 122.398 moveto
+111 132 lineto
+113.488 121.701 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 106.522 122.398 moveto
+111 132 lineto
+113.488 121.701 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 191 1 291 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classenorm.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 191 1 291 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classenorm.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 191 0 moveto
+191 21 lineto
+292 21 lineto
+292 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 191 0 moveto
+191 21 lineto
+292 21 lineto
+292 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+241 7 moveto 85 -0.5 (enorm< chmat >) alignedtext
+grestore
+% Node1->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 139 133 moveto
+161 125 192 112 215 94 curveto
+233 79 240 75 248 54 curveto
+252 43 249 30 245 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 137.717 129.74 moveto
+130 137 lineto
+140.56 136.137 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 137.717 129.74 moveto
+130 137 lineto
+140.56 136.137 lineto
 closepath stroke
 grestore
 % Node2
 gsave
-[ /Rect [ 104 193 142 213 ]
+[ /Rect [ 93 193 131 213 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classepdf.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 104 193 142 213 ]
+[ /Rect [ 93 193 131 213 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classepdf.html) >>
@@ -389,20 +441,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 104 192 moveto
-104 213 lineto
-142 213 lineto
-142 192 lineto
+newpath 93 192 moveto
+93 213 lineto
+131 213 lineto
+131 192 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 104 192 moveto
-104 213 lineto
-142 213 lineto
-142 192 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-123 199 moveto 22 -0.5 (epdf) alignedtext
+newpath 93 192 moveto
+93 213 lineto
+131 213 lineto
+131 192 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+112 199 moveto 22 -0.5 (epdf) alignedtext
 grestore
 % Node2->Node1
@@ -411,18 +463,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 123 182 moveto
-123 172 123 161 123 153 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 119.5 182 moveto
-123 192 lineto
-126.5 182 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 119.5 182 moveto
-123 192 lineto
-126.5 182 lineto
+newpath 112 182 moveto
+112 172 112 161 112 153 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 108.5 182 moveto
+112 192 lineto
+115.5 182 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 108.5 182 moveto
+112 192 lineto
+115.5 182 lineto
 closepath stroke
 grestore
@@ -432,23 +484,48 @@
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 125 62 moveto
-127 55 129 47 132 40 curveto
-136 33 142 26 148 21 curveto
+newpath 134 66 moveto
+130 62 126 58 122 54 curveto
+115 44 110 30 107 21 curveto
 stroke
 0.106 1.000 1.000 edgecolor
-newpath 121.512 61.7013 moveto
-124 72 lineto
-128.478 62.3979 lineto
+newpath 131.9 68.8 moveto
+142 72 lineto
+136.1 63.2 lineto
 closepath fill
 1 setlinewidth
 solid
 0.106 1.000 1.000 edgecolor
-newpath 121.512 61.7013 moveto
-124 72 lineto
-128.478 62.3979 lineto
+newpath 131.9 68.8 moveto
+142 72 lineto
+136.1 63.2 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10.00 /FreeSans.ttf set_font
-157 44 moveto 50 -0.5 (< ldmat >) alignedtext
+150 44 moveto 50 -0.5 (< ldmat >) alignedtext
+grestore
+% Node4->Node6
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 174 64 moveto
+180 56 187 47 195 40 curveto
+202 33 212 26 221 21 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 171.2 61.9 moveto
+168 72 lineto
+176.8 66.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 171.2 61.9 moveto
+168 72 lineto
+176.8 66.1 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans.ttf set_font
+221 44 moveto 53 -0.5 (< chmat >) alignedtext
 grestore
 endpage
@@ -459,5 +536,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 254 258
+%%BoundingBox: 36 36 335 258
 end
 restore